Skip to main content

SCIM

PATCH/v1/orgs/{org_id}/scim/v2/Users/{user_id}

Patch User

Partially update a user (SCIM PATCH).

SCIM bearer tokenscope: scim provisioningoperation_id: scim.patchUser

Authentication

Issued via POST /v1/orgs/{org_id}/scim/token (admin only). Keep it with your IdP.

SDK install

pip install znyx-sdknpm install @znyx/sdk

Path parameters

NameTypeRequiredDescription
org_id#pathstringrequired
user_id#pathstringrequired

Header parameters

NameTypeRequiredDescription
authorization#headerstring | nulloptional

Responses

StatusDescription
200Successful Response
422Validation Error

Response schema

any

Errors & what triggers them

CodeTriggerFix
401Missing or expired Authorization header.
403Token does not have the required role (admin / editor).
404Target resource does not exist in this org.
422Request body failed validation.

Request

curl -X PATCH 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/scim/v2/Users/00000000-0000-0000-0000-000000000000' \
  -H 'Authorization: Bearer $ZNYX_TOKEN'

Response

application/json

Successful Response

null

Schema: any